Bug 821547 - package verbosity during installation: "error reading information on service tomcat6"
package verbosity during installation: "error reading information on service...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tomcat6 (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Knox
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-14 17:27 EDT by joshua
Modified: 2015-11-01 19:17 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:52:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description joshua 2012-05-14 17:27:45 EDT
Description of problem:

When installing tomcat6, I see this message:

  Installing : tomcat6-6.0.32-20.fc17.noarch                            103/103 
error reading information on service tomcat6: No such file or directory


Version-Release number of selected component (if applicable):

tomcat6-6.0.32-20.fc17.noarch
Comment 1 Scott Poore 2012-07-25 11:41:04 EDT
I see the same thing when installing FreeIPA related packages.

Looking at rpm scriptlets, I see:

# rpm -q --scripts tomcat6
<snip>
postinstall scriptlet (using /bin/sh):
# install but don't activate
/sbin/chkconfig --add tomcat6
if [ $1 -eq 1 ]; then
	#initial installation
	/bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi
</snip>

So, I think it's the chkconfig there that's failing:

# /sbin/chkconfig --add tomcat6
error reading information on service tomcat6: No such file or directory

However, looks like you can enable in systemd properly?

# systemctl enable tomcat6.service
# echo $?
0
# systemctl status tomcat6.service
tomcat6.service - Apache Tomcat6 Web Application Container
	  Loaded: loaded (/usr/lib/systemd/system/tomcat6.service; enabled)
	  Active: inactive (dead)
	  CGroup: name=systemd:/system/tomcat6.service

So, is this something that can/should be fixed in the %post scriptlet?
Comment 2 Mikolaj Izdebski 2013-03-14 10:38:37 EDT
Package tomcat6 has been deprecated in Fedora 19 and later.
I am closing this bug as WONTFIX.

For more information why tomcat6 was deprecated see:
  http://bugzilla.redhat.com/918010
  http://lists.fedoraproject.org/pipermail/devel/2013-March/179847.html
  http://fedorahosted.org/fesco/ticket/1094
Comment 3 joshua 2013-03-14 12:25:52 EDT
What does this have to do with Fedora 19?  This bug was opened almost a year ago for Fedora 17, which is still actively being maintained, no?
Comment 4 Mikolaj Izdebski 2013-03-15 12:56:49 EDT
(In reply to comment #3)
> What does this have to do with Fedora 19?  This bug was opened almost a year
> ago for Fedora 17, which is still actively being maintained, no?

This bug was closed by mistake. My intent was to close bugs reported against Fedora 19 and later only.
Comment 5 Fedora End Of Life 2013-07-03 18:11:18 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 joshua 2013-07-03 18:23:07 EDT
Wow
Comment 7 Fedora End Of Life 2013-07-31 19:52:56 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.